> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List releases

> List all releases



## OpenAPI

````yaml https://api.getcargo.io/openapi.json get /orchestration/releases/list
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /orchestration/releases/list:
    get:
      tags:
        - Orchestration - Releases
      summary: List releases
      description: List all releases
      parameters:
        - in: query
          name: limit
          schema:
            type: string
        - in: query
          name: offset
          schema:
            type: string
        - in: query
          name: statuses
          schema:
            type: array
            items:
              type: string
              enum:
                - deployed
                - draft
                - archived
        - in: query
          name: workflowUuid
          schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
        - in: query
          name: userUuid
          schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  releases:
                    type: array
                    items:
                      type: object
                      properties:
                        uuid:
                          type: string
                        parentUuid:
                          anyOf:
                            - type: string
                            - type: 'null'
                        workspaceUuid:
                          type: string
                        userUuid:
                          type: string
                        workflowUuid:
                          type: string
                        description:
                          anyOf:
                            - type: string
                            - type: 'null'
                        version:
                          anyOf:
                            - type: string
                            - type: 'null'
                        status:
                          type: string
                          enum:
                            - draft
                            - deployed
                            - archived
                        templateSlug:
                          anyOf:
                            - type: string
                            - type: 'null'
                        nodes:
                          type: array
                          items:
                            allOf:
                              - type: object
                                properties:
                                  uuid:
                                    type: string
                                    format: uuid
                                    pattern: >-
                                      ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                                  slug:
                                    type: string
                                    pattern: ^\w+$
                                  name:
                                    type: string
                                  config:
                                    type: object
                                    propertyNames:
                                      type: string
                                    additionalProperties: {}
                                  description:
                                    type: string
                                  retry:
                                    type: object
                                    properties:
                                      maximumAttempts:
                                        type: number
                                      initialInterval:
                                        type: number
                                      backoffCoefficient:
                                        type: number
                                    additionalProperties: false
                                  childrenUuids:
                                    type: array
                                    items:
                                      anyOf:
                                        - type: string
                                        - type: 'null'
                                  fallbackChildUuid:
                                    type: string
                                  fallbackOnFailure:
                                    type: boolean
                                  position:
                                    type: object
                                    properties:
                                      x:
                                        type: number
                                      'y':
                                        type: number
                                    required:
                                      - x
                                      - 'y'
                                    additionalProperties: false
                                required:
                                  - uuid
                                  - slug
                                  - config
                                  - childrenUuids
                                  - fallbackOnFailure
                                  - position
                                additionalProperties: false
                              - anyOf:
                                  - type: object
                                    properties:
                                      kind:
                                        type: string
                                        enum:
                                          - native
                                      actionSlug:
                                        type: string
                                    required:
                                      - kind
                                      - actionSlug
                                    additionalProperties: false
                                  - type: object
                                    properties:
                                      kind:
                                        type: string
                                        enum:
                                          - connector
                                      connectorUuid:
                                        type: string
                                      integrationSlug:
                                        type: string
                                      actionSlug:
                                        type: string
                                    required:
                                      - kind
                                      - integrationSlug
                                      - actionSlug
                                    additionalProperties: false
                                  - type: object
                                    properties:
                                      kind:
                                        type: string
                                        enum:
                                          - tool
                                      toolUuid:
                                        type: string
                                      templateSlug:
                                        type: string
                                      releaseUuid:
                                        type: string
                                      waitUntilFinished:
                                        type: boolean
                                    required:
                                      - kind
                                    additionalProperties: false
                                  - type: object
                                    properties:
                                      kind:
                                        type: string
                                        enum:
                                          - agent
                                      agentUuid:
                                        type: string
                                      templateSlug:
                                        type: string
                                      releaseUuid:
                                        type: string
                                      waitUntilFinished:
                                        type: boolean
                                    required:
                                      - kind
                                    additionalProperties: false
                        formFields:
                          anyOf:
                            - type: array
                              items:
                                allOf:
                                  - type: object
                                    properties:
                                      slug:
                                        type: string
                                      name:
                                        type: string
                                      description:
                                        type: string
                                      placeholder:
                                        type: string
                                      isRequired:
                                        type: boolean
                                    required:
                                      - slug
                                      - name
                                    additionalProperties: false
                                  - anyOf:
                                      - type: object
                                        properties:
                                          kind:
                                            type: string
                                            enum:
                                              - string
                                              - number
                                              - boolean
                                              - date
                                              - any
                                        required:
                                          - kind
                                        additionalProperties: false
                                      - type: object
                                        properties:
                                          kind:
                                            type: string
                                            enum:
                                              - enum
                                          enum:
                                            type: array
                                            items:
                                              type: string
                                        required:
                                          - kind
                                          - enum
                                        additionalProperties: false
                                      - type: object
                                        properties:
                                          kind:
                                            type: string
                                            enum:
                                              - array
                                          fields:
                                            type: array
                                            items:
                                              allOf:
                                                - type: object
                                                  properties:
                                                    slug:
                                                      type: string
                                                    name:
                                                      type: string
                                                    description:
                                                      type: string
                                                    isRequired:
                                                      type: boolean
                                                  required:
                                                    - slug
                                                    - name
                                                  additionalProperties: false
                                                - anyOf:
                                                    - type: object
                                                      properties:
                                                        kind:
                                                          type: string
                                                          enum:
                                                            - string
                                                            - number
                                                            - boolean
                                                            - date
                                                            - any
                                                      required:
                                                        - kind
                                                      additionalProperties: false
                                                    - type: object
                                                      properties:
                                                        kind:
                                                          type: string
                                                          enum:
                                                            - enum
                                                        enum:
                                                          type: array
                                                          items:
                                                            type: string
                                                      required:
                                                        - kind
                                                        - enum
                                                      additionalProperties: false
                                                    - type: object
                                                      properties:
                                                        kind:
                                                          type: string
                                                          enum:
                                                            - array
                                                        fields:
                                                          type: array
                                                          items:
                                                            allOf:
                                                              - type: object
                                                                properties:
                                                                  slug:
                                                                    type: string
                                                                  name:
                                                                    type: string
                                                                  description:
                                                                    type: string
                                                                  isRequired:
                                                                    type: boolean
                                                                required:
                                                                  - slug
                                                                  - name
                                                                additionalProperties: false
                                                              - anyOf:
                                                                  - type: object
                                                                    properties:
                                                                      kind: {}
                                                                    required:
                                                                      - kind
                                                                    additionalProperties: false
                                                                  - type: object
                                                                    properties:
                                                                      kind: {}
                                                                      enum: {}
                                                                    required:
                                                                      - kind
                                                                      - enum
                                                                    additionalProperties: false
                                                      required:
                                                        - kind
                                                        - fields
                                                      additionalProperties: false
                                        required:
                                          - kind
                                          - fields
                                        additionalProperties: false
                            - type: 'null'
                        testRecords:
                          type: array
                          items:
                            anyOf:
                              - type: object
                                properties:
                                  kind:
                                    type: string
                                    const: id
                                  id:
                                    type: string
                                  data:
                                    type: object
                                    propertyNames:
                                      type: string
                                    additionalProperties: {}
                                required:
                                  - kind
                                  - id
                                additionalProperties: false
                              - type: object
                                properties:
                                  kind:
                                    type: string
                                    const: data
                                  data:
                                    type: object
                                    propertyNames:
                                      type: string
                                    additionalProperties: {}
                                required:
                                  - kind
                                  - data
                                additionalProperties: false
                        deployedAt:
                          anyOf:
                            - type: string
                            - type: 'null'
                        createdAt:
                          type: string
                        updatedAt:
                          type: string
                        deletedAt:
                          anyOf:
                            - type: string
                            - type: 'null'
                      required:
                        - uuid
                        - parentUuid
                        - workspaceUuid
                        - userUuid
                        - workflowUuid
                        - description
                        - version
                        - status
                        - templateSlug
                        - nodes
                        - formFields
                        - testRecords
                        - deployedAt
                        - createdAt
                        - updatedAt
                        - deletedAt
                      additionalProperties: false
                required:
                  - releases
                additionalProperties: false
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````